import MPU6050
import array
from protocol import *
from avg import *
from pyb import I2C,UART,delay


#golbal data
accx_data = array.array('i', [0]*8)
f_acc_data = avg_filiter(accx_data)
#accx_data[0] = len(accx_data)


#hardwareobject
uart_port = UART(4,57600)
iic = I2C(1,I2C.MASTER)
acc_dev = MPU6050.MPU6050(iic)


while True:
	raw_data = acc_dev.read_Accel_z()
	filter_data = f_acc_data.avg(raw_data)
	send_data = data_send(raw_data,filter_data,0,0,0,0,0,0,0)
	uart_port.write(send_data)
	delay(20)